/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */
'use strict';

Liferay.Loader.define("commerce-frontend-taglib@10.1.5/autocomplete_item/AutocompleteItem.es", ['module', 'exports', 'require', 'frontend-js-metal-web$metal-component', 'frontend-js-metal-web$metal-soy', './AutocompleteItem.soy'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = exports.AutocompleteItem = void 0;

    var _metalComponent = _interopRequireDefault(require("frontend-js-metal-web$metal-component"));

    var _metalSoy = _interopRequireWildcard(require("frontend-js-metal-web$metal-soy"));

    var _AutocompleteItem = _interopRequireDefault(require("./AutocompleteItem.soy"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    function _createClass(Constructor, protoProps, staticProps) {
      if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    var AutocompleteItem = /*#__PURE__*/function (_Component) {
      _inherits(AutocompleteItem, _Component);

      function AutocompleteItem() {
        _classCallCheck(this, AutocompleteItem);

        return _possibleConstructorReturn(this, _getPrototypeOf(AutocompleteItem).apply(this, arguments));
      }

      _createClass(AutocompleteItem, [{
        key: "processQuery",
        value: function processQuery() {
          var regex = new RegExp("(.*?)(".concat(this.query, ")(.*)"), 'gmi');
          var results = regex.exec(this.text);

          if (results) {
            this.updateHighlightedText(results.map(function (el) {
              return el.toString();
            }));
          } else {
            this.reinitializeTextGroups();
          }

          return !!results;
        }
      }, {
        key: "reinitializeTextGroups",
        value: function reinitializeTextGroups() {
          this.firstGroup = this.text.toString();
          this.secondGroup = null;
          this.thirdGroup = null;
          return false;
        }
      }, {
        key: "syncQuery",
        value: function syncQuery() {
          this.processQuery();
        }
      }, {
        key: "syncText",
        value: function syncText() {
          this.processQuery();
        }
      }, {
        key: "updateHighlightedText",
        value: function updateHighlightedText(results) {
          this.firstGroup = results[1] || null;
          this.secondGroup = results[2] || null;
          this.thirdGroup = results[3] || null;
          return true;
        }
      }]);

      return AutocompleteItem;
    }(_metalComponent.default);

    exports.AutocompleteItem = AutocompleteItem;

    _metalSoy.default.register(AutocompleteItem, _AutocompleteItem.default);

    AutocompleteItem.STATE = {
      firstGroup: _metalSoy.Config.string().internal(),
      query: _metalSoy.Config.string(),
      secondGroup: _metalSoy.Config.string().internal(),
      text: _metalSoy.Config.any(),
      thirdGroup: _metalSoy.Config.string().internal()
    };
    var _default = AutocompleteItem;
    exports.default = _default;
    //# sourceMappingURL=AutocompleteItem.es.js.map
  }
});
//# sourceMappingURL=AutocompleteItem.es.js.map