/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */
'use strict';

Liferay.Loader.define("commerce-frontend-taglib@10.1.5/product_details_modal/ProductDetailsModal", ['module', 'exports', 'require', 'frontend-js-metal-web$metal-component', 'frontend-js-metal-web$metal-soy', './ProductDetailsModal.soy', 'frontend-taglib-clay$clay-modal'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = exports.ProductDetailsModal = void 0;

    var _metalComponent = _interopRequireDefault(require("frontend-js-metal-web$metal-component"));

    var _metalSoy = _interopRequireWildcard(require("frontend-js-metal-web$metal-soy"));

    var _ProductDetailsModal = _interopRequireDefault(require("./ProductDetailsModal.soy"));

    require("frontend-taglib-clay$clay-modal");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    function _createClass(Constructor, protoProps, staticProps) {
      if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    var ProductDetailsModal = /*#__PURE__*/function (_Component) {
      _inherits(ProductDetailsModal, _Component);

      function ProductDetailsModal() {
        _classCallCheck(this, ProductDetailsModal);

        return _possibleConstructorReturn(this, _getPrototypeOf(ProductDetailsModal).apply(this, arguments));
      }

      _createClass(ProductDetailsModal, [{
        key: "created",
        value: function created() {
          var _this = this;

          setTimeout(function () {
            _this._isVisible = !_this._isVisible;
          }, 2000);
        }
      }, {
        key: "_handleCloseModal",
        value: function _handleCloseModal(evt) {
          evt.preventDefault();
          return this.refs.modal.show();
        }
      }]);

      return ProductDetailsModal;
    }(_metalComponent.default);

    exports.ProductDetailsModal = ProductDetailsModal;

    _metalSoy.default.register(ProductDetailsModal, _ProductDetailsModal.default);

    ProductDetailsModal.STATE = {
      _modalVisible: _metalSoy.Config.bool().value(false),
      addToOrderLink: _metalSoy.Config.string(),
      availability: _metalSoy.Config.string().oneOf(['available', 'inStock', 'notAvailable']).value('inStock'),
      categories: _metalSoy.Config.array(_metalSoy.Config.shapeOf({
        link: _metalSoy.Config.string().required(),
        name: _metalSoy.Config.string().required()
      })).value([]),
      description: _metalSoy.Config.string(),
      detailsLink: _metalSoy.Config.string(),
      name: _metalSoy.Config.string().required(),
      pictureUrl: _metalSoy.Config.string().required(),
      settings: _metalSoy.Config.shapeOf({
        minQuantity: _metalSoy.Config.number()
      }).value(),
      sku: _metalSoy.Config.string().required(),
      spritemap: _metalSoy.Config.string()
    };
    var _default = ProductDetailsModal;
    exports.default = _default;
    //# sourceMappingURL=ProductDetailsModal.js.map
  }
});
//# sourceMappingURL=ProductDetailsModal.js.map