Liferay.Loader.define("commerce-frontend-js@3.0.26/utilities/throttle", ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = throttle;

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function throttle(fn, limit) {
      var _arguments = arguments,
          _this = this;

      var lastFunction, lastRan;
      return function () {
        var context = _this,
            args = _arguments;

        if (!lastRan) {
          fn.apply(context, args);
          lastRan = Date.now();
        } else {
          clearTimeout(lastFunction);
          lastFunction = setTimeout(function () {
            if (Date.now() - lastRan >= limit) {
              fn.apply(context, args);
              lastRan = Date.now();
            }
          }, limit - (Date.now() - lastRan));
        }
      };
    }
    //# sourceMappingURL=throttle.js.map
  }
});
//# sourceMappingURL=throttle.js.map