Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/components/process-metrics/SLAInfo.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/alert', '@frontend-taglib-clay$clayui/layout', 'frontend-js-react-web$react', '../../shared/components/router/ChildLink.es', '../../shared/hooks/useFetch.es', '../../shared/util/lang.es', '../AppContext.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _alert = _interopRequireDefault(require("@frontend-taglib-clay$clayui/alert"));

    var _layout = _interopRequireDefault(require("@frontend-taglib-clay$clayui/layout"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _ChildLink = _interopRequireDefault(require("../../shared/components/router/ChildLink.es"));

    var _useFetch3 = require("../../shared/hooks/useFetch.es");

    var _lang = require("../../shared/util/lang.es");

    var _AppContext = require("../AppContext.es");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var SLAInfo = function SLAInfo(_ref) {
      var processId = _ref.processId;

      var _useState = (0, _react.useState)(null),
          _useState2 = _slicedToArray(_useState, 2),
          alert = _useState2[0],
          setAlert = _useState2[1];

      var _useContext = (0, _react.useContext)(_AppContext.AppContext),
          defaultDelta = _useContext.defaultDelta;

      var url = "/processes/".concat(processId, "/slas?page=1&pageSize=1");

      var _useFetch = (0, _useFetch3.useFetch)({
        url: url
      }),
          fetchData = _useFetch.fetchData;

      var _useFetch2 = (0, _useFetch3.useFetch)({
        url: "".concat(url, "&status=2")
      }),
          fetchSLABlocked = _useFetch2.fetchData;

      var getSLABlockedCount = function getSLABlockedCount() {
        fetchSLABlocked().then(function (_ref2) {
          var totalCount = _ref2.totalCount;

          if (totalCount > 0) {
            setAlert({
              content: "".concat((0, _lang.sub)(totalCount > 1 ? Liferay.Language.get('x-slas-are-blocked') : Liferay.Language.get('x-sla-is-blocked'), [totalCount]), " ").concat(Liferay.Language.get('fix-the-sla-configuration-to-resume-accurate-reporting')),
              link: "/sla/".concat(processId, "/list/").concat(defaultDelta, "/1"),
              linkText: Liferay.Language.get('set-up-slas')
            });
          }
        });
      };

      var getSLACount = function getSLACount() {
        fetchData().then(function (_ref3) {
          var totalCount = _ref3.totalCount;

          if (totalCount === 0) {
            setAlert({
              content: "".concat(Liferay.Language.get('no-slas-are-defined-for-this-process')),
              link: "/sla/".concat(processId, "/new"),
              linkText: Liferay.Language.get('add-a-new-sla')
            });
          } else {
            getSLABlockedCount();
          }
        });
      };

      (0, _react.useEffect)(function () {
        getSLACount(); // eslint-disable-next-line react-hooks/exhaustive-deps
      }, []);
      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, alert && /*#__PURE__*/_react.default.createElement(_layout.default.ContainerFluid, null, /*#__PURE__*/_react.default.createElement(_alert.default, {
          className: "mb-0",
          displayType: "warning",
          onClose: function onClose() {
            return setAlert();
          },
          title: Liferay.Language.get('warning')
        }, alert.content, ' ', /*#__PURE__*/_react.default.createElement(_ChildLink.default, {
          className: "font-weight-bold",
          query: {
            slaInfoLink: true
          },
          to: alert.link
        }, alert.linkText))))
      );
    };

    var _default = SLAInfo;
    exports.default = _default;
    //# sourceMappingURL=SLAInfo.es.js.map
  }
});
//# sourceMappingURL=SLAInfo.es.js.map