Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/shared/components/promises-resolver/PromisesResolver.es", ['module', 'exports', 'require', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.PromisesResolverContext = exports.default = void 0;

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var PromisesResolverContext = /*#__PURE__*/(0, _react.createContext)();
    exports.PromisesResolverContext = PromisesResolverContext;

    function PromisesResolver(_ref) {
      var children = _ref.children,
          promises = _ref.promises;

      var _useState = (0, _react.useState)(null),
          _useState2 = _slicedToArray(_useState, 2),
          error = _useState2[0],
          setError = _useState2[1];

      var _useState3 = (0, _react.useState)(true),
          _useState4 = _slicedToArray(_useState3, 2),
          loading = _useState4[0],
          setLoading = _useState4[1];

      (0, _react.useEffect)(function () {
        setError(null);
        setLoading(true);
        Promise.all(promises).then(function () {
          return setLoading(false);
        }).catch(setError);
      }, [promises]);
      return (/*#__PURE__*/_react.default.createElement(PromisesResolverContext.Provider, {
          value: {
            error: error,
            loading: loading
          }
        }, children)
      );
    }

    var usePromisesResolverContext = function usePromisesResolverContext() {
      var promisesResolverContext = (0, _react.useContext)(PromisesResolverContext);

      if (!promisesResolverContext) {
        return {};
      }

      return promisesResolverContext;
    };

    var Pending = function Pending(_ref2) {
      var children = _ref2.children;

      var _usePromisesResolverC = usePromisesResolverContext(),
          error = _usePromisesResolverC.error,
          loading = _usePromisesResolverC.loading;

      return !error && loading ? children : null;
    };

    var Rejected = function Rejected(_ref3) {
      var children = _ref3.children;

      var _usePromisesResolverC2 = usePromisesResolverContext(),
          error = _usePromisesResolverC2.error;

      return error ? children : null;
    };

    var Resolved = function Resolved(_ref4) {
      var children = _ref4.children;

      var _usePromisesResolverC3 = usePromisesResolverContext(),
          error = _usePromisesResolverC3.error,
          loading = _usePromisesResolverC3.loading;

      return !error && !loading ? children : null;
    };

    PromisesResolver.Pending = Pending;
    PromisesResolver.Rejected = Rejected;
    PromisesResolver.Resolved = Resolved;
    var _default = PromisesResolver;
    exports.default = _default;
    //# sourceMappingURL=PromisesResolver.es.js.map
  }
});
//# sourceMappingURL=PromisesResolver.es.js.map