Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/shared/hooks/useInterval.es", ['module', 'exports', 'require', 'frontend-js-react-web', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.useInterval = void 0;

    var _frontendJsReactWeb = require("frontend-js-react-web");

    var _react = require("frontend-js-react-web$react");

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    var useInterval = function useInterval(cancelOnDestroy) {
      var isMounted = (0, _frontendJsReactWeb.useIsMounted)();
      return (0, _react.useCallback)(function (callback, milliseconds) {
        var interval = setInterval(function () {
          if (!cancelOnDestroy || isMounted()) {
            callback();
          } else {
            clearInterval(interval);
          }
        }, milliseconds);
        return function () {
          return clearInterval(interval);
        };
      }, [cancelOnDestroy, isMounted]);
    };

    exports.useInterval = useInterval;
    //# sourceMappingURL=useInterval.es.js.map
  }
});
//# sourceMappingURL=useInterval.es.js.map